# Acquire a new access token Acquire a Bearer token granting you access to securely perform delegated access operations on behalf of the given identity. The token representing the identity should be included in the Authorization header of all requests to endpoints representing Delegated Access operations. Endpoint: POST /access_token Version: v3 Security: api_key ## Request fields (application/json): - `identity` (object, required) - `identity.type` (string, required) Indicates the identity type. Enum: "CONSUMER", "CORPORATE" - `identity.id` (string, required) The identifier for the identity. - `temp` (object) ## Response 200 fields (application/json): - `token` (object) An authorisation token identifying the user that will be impersonated in the auth_token authorization header for secured operations. - `token.token` (string) An authorisation token to be used in the Authorization header for secured operations. - `identity` (object) - `identity.type` (string, required) Indicates the identity type. Enum: "CONSUMER", "CORPORATE" - `identity.id` (string, required) The identifier for the identity. - `credentials` (object) - `credentials.type` (string, required) The type of user. Enum: "ROOT", "USER", "API_CLIENT" - `credentials.id` (string, required) The identifier of the user. ## Response 400 fields (application/json): - `message` (string) When present helps to identify and fix the problem. - `validationErrors` (array) Is returned as part of an HTTP error response whenever a validation error is detected. A list of the fields together with their syntax error will be provided. - `validationErrors.fieldName` (string) - `validationErrors.error` (string) Enum: "MUST_BE_FALSE", "MUST_BE_TRUE", "AT_MOST", "AT_LEAST", "FUTURE", "FUTURE_OR_PRESENT", "PAST", "PAST_OR_PRESENT", "LESS_THAN_ZERO", "LESS_THAN_OR_EQUAL_TO_ZERO", "GREATER_THAN_ZERO", "GREATER_THAN_OR_EQUAL_TO_ZERO", "HAS_TEXT", "REQUIRED", "REGEX", "RANGE", "IN", "NOT_IN", "NOT_EMPTY", "ALL_OR_NONE", "MUST_BE_EMPTY", "DEPENDS_ON", "INVALID_TYPE_OR_VALUE", "INVALID_REQUEST" - `validationErrors.params` (array) - `validationErrors.invalidValue` (array) ## Response 409 fields (application/json): - `errorCode` (string) Enum: "UNRESOLVED_IDENTITY", "ALREADY_IMPERSONATED" ## Response default fields (application/json): - `code` (string) - `message` (string) ## Response 401 fields ## Response 403 fields ## Response 500 fields ## Response 503 fields